> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a risk profile

> Creates a new risk profile with the given name. Alert thresholds can be configured via the update endpoint.



## OpenAPI

````yaml https://api.dataspike.io/openapi/kyt/public.json post /api/v4/kyt/risk-profiles
openapi: 3.1.0
info:
  description: >-
    Know Your Transaction (KYT) — blockchain address, transaction and transfer
    risk analysis.
  title: Dataspike KYT API
  version: '4.0'
servers: []
security: []
paths:
  /api/v4/kyt/risk-profiles:
    post:
      tags:
        - Risk Profiles
      summary: Create a risk profile
      description: >-
        Creates a new risk profile with the given name. Alert thresholds can be
        configured via the update endpoint.
      operationId: POST_/api/v4/kyt/risk-profiles
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRiskProfileRequest'
          application/xml:
            schema:
              $ref: '#/components/schemas/CreateRiskProfileRequest'
        description: Request body for kyt.CreateRiskProfileRequest
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
            application/xml:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: Invalid request body.
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
          description: Validation error.
        '424':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: CoinKYT dependency failure.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RiskProfileResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/RiskProfileResponse'
          description: Risk profile created.
      security:
        - ApiKey: []
components:
  schemas:
    CreateRiskProfileRequest:
      description: CreateRiskProfileRequest schema
      properties:
        name:
          example: Standard
          maxLength: 30
          type: string
      required:
        - name
      type: object
    PlainMessage:
      description: PlainMessage schema
      properties:
        message:
          type: string
      type: object
    ValidationErrorResponse:
      description: ValidationErrorResponse schema
      properties:
        errors:
          items:
            properties:
              field:
                type: string
              message:
                type: string
              type:
                type: string
            type: object
          type: array
        message:
          type: string
      type: object
    RiskProfileResponse:
      description: RiskProfileResponse schema
      properties:
        created_at:
          format: date-time
          type: string
        id:
          example: b2c3d4e5-f6a7-4901-8cde-f12345678901
          format: uuid
          type: string
        name:
          example: Standard
          type: string
        thresholds:
          items:
            properties:
              amount:
                example: 100
                format: double
                type: number
              assets:
                example: 0.01
                format: double
                type: number
              currency:
                example: usd
                type: string
              is_active_for_monitoring:
                type: boolean
              type:
                example: SANCTIONS
                type: string
            type: object
          type: array
        updated_at:
          format: date-time
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API token passed in the request header.
      in: header
      name: ds-api-token
      type: apiKey

````